summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.5.7.ebuild33
-rw-r--r--dev-python/arrow/Manifest1
-rw-r--r--dev-python/arrow/arrow-1.1.0.ebuild35
-rw-r--r--dev-python/aws-xray-sdk-python/Manifest1
-rw-r--r--dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.6.0.ebuild55
-rw-r--r--dev-python/black/Manifest1
-rw-r--r--dev-python/black/black-21.4_beta1.ebuild54
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.59.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.59.ebuild59
-rw-r--r--dev-python/cachetools/Manifest1
-rw-r--r--dev-python/cachetools/cachetools-4.2.2.ebuild18
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.49.0.ebuild52
-rw-r--r--dev-python/httpx/Manifest1
-rw-r--r--dev-python/httpx/httpx-0.18.0.ebuild52
-rw-r--r--dev-python/pikepdf/Manifest2
-rw-r--r--dev-python/pikepdf/pikepdf-2.11.3.ebuild51
-rw-r--r--dev-python/pikepdf/pikepdf-2.11.4.ebuild51
-rw-r--r--dev-python/pytest-httpx/Manifest1
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.12.0.ebuild30
-rw-r--r--dev-python/requests-mock/Manifest2
-rw-r--r--dev-python/requests-mock/requests-mock-1.9.0.ebuild45
-rw-r--r--dev-python/requests-mock/requests-mock-1.9.1.ebuild45
-rw-r--r--dev-python/responses/Manifest1
-rw-r--r--dev-python/responses/responses-0.13.3.ebuild30
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.3.5.ebuild91
30 files changed, 683 insertions, 90 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index 1ed7ab984870..ffa0237b70b3 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,2 +1 @@
-DIST alembic-1.5.7.tar.gz 1154141 BLAKE2B 9932889b31d6afb49c91b3b5681285869867119f493123ccabac8d24d8a4de6c8700aa1bd5578bfbfd4e13adda10cfb4a59ad4de1a51a6180a3e9455acde928e SHA512 a0bd6104405302ab9155438e980223c0ac97c0bb9026afa701f02cd6b79233cdbb7e1f953314542ebed829c1db96bc73def47eeff42f63c75c31e1fb8e981829
DIST alembic-1.5.8.tar.gz 1154284 BLAKE2B 704a7aeb15fcfae8746238ef7ae4533ecbaaf83ab9248035c35cea343a4d02e02c00dfa3c8186826a437c839053fc6292c3f8343945ca32273ee608f6572f513 SHA512 e68f3709ed969764cff4c9f755781a10123631d2d07a970674fda2226c84cb92c140bc5ae81e44c8b279823718d4f0544236d260fd04fb7107f3d8293c85b4f0
diff --git a/dev-python/alembic/alembic-1.5.7.ebuild b/dev-python/alembic/alembic-1.5.7.ebuild
deleted file mode 100644
index cdbe2d605e9b..000000000000
--- a/dev-python/alembic/alembic-1.5.7.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
-HOMEPAGE="https://github.com/sqlalchemy/alembic"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="doc"
-
-RDEPEND="
- >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]
- >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/. )
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/arrow/Manifest b/dev-python/arrow/Manifest
index 3828f036672b..79385bceff7d 100644
--- a/dev-python/arrow/Manifest
+++ b/dev-python/arrow/Manifest
@@ -1 +1,2 @@
DIST arrow-1.0.3.tar.gz 102536 BLAKE2B 020b9b12a529f31c8054cfe98b99ee791cd1f2889422e4bb1b0bb6873ff4c1748951b63d20d2526af2bea3ff13b26d809b35eed36984d1063c35c334d76ee416 SHA512 f8da6574758ca1f319ed9d71e4fc6e44d3c3db0a6fe36c8868c3515ab789093660e3d57d6de60813cf2eb57c7a3a8bfe92facbb410a383528cb1fbc37d860b49
+DIST arrow-1.1.0.tar.gz 109692 BLAKE2B da6cf4feb0048db4f808fc8d8863d59b1501c9e5ea8b171aacd36945e7dee874fb088c1bdcf57858e9126b42b312ec24511ee69e8846cb28c5d97b0cb5ece237 SHA512 9ec39458069d9538bd0f05fcbb03f92c6cf613c4bb686037a92ffcf7fa2f6306fa84ca6bcc2b7ffdb84c2fcf4cbe281ad7cb6698d1886da29d9121805140be49
diff --git a/dev-python/arrow/arrow-1.1.0.ebuild b/dev-python/arrow/arrow-1.1.0.ebuild
new file mode 100644
index 000000000000..fbbddd1ffbaa
--- /dev/null
+++ b/dev-python/arrow/arrow-1.1.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/arrow-py/arrow/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' python3_7)"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/aws-xray-sdk-python/Manifest b/dev-python/aws-xray-sdk-python/Manifest
index 7205c4b9e791..9b5ea842d8db 100644
--- a/dev-python/aws-xray-sdk-python/Manifest
+++ b/dev-python/aws-xray-sdk-python/Manifest
@@ -1,2 +1 @@
-DIST aws-xray-sdk-python-2.6.0.gh.tar.gz 255978 BLAKE2B f43204a25027d0ec135222879bf9158aef65ba5ca948e734be0b984d8f2582741bb36d9ae0a874dffae6ffc5209e25fa1c69069c261256c3bee71a4fe717411c SHA512 17a4716467b7f6dc2912d969143e0b7c8c0b9ab15bc57f873ec415876ad2080218c3c526f4aa2c1bbf4d1caaca62eaf122c87debb45c925fd84a1bcf00ab741f
DIST aws-xray-sdk-python-2.7.0.gh.tar.gz 265934 BLAKE2B f697c2bbe21db4b20b200ba9e9c264df81e3a6ff64d73639756d8f51a1abe0ecfaf1b852a3befde535757dfa3f75348e2eee1d5124147f04d11f5b5f20976b95 SHA512 d9ff1a190e5503f904258ac47cd7b1c686a9c74d0699f69f053df19ec7ea197da1c9c29a97624ff0758346a0dca9e3a292bf54ba3f340fcd392248602a85bfd9
diff --git a/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.6.0.ebuild b/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.6.0.ebuild
deleted file mode 100644
index 92e4e9c13ff1..000000000000
--- a/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.6.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="AWS X-Ray SDK for Python"
-HOMEPAGE="https://github.com/aws/aws-xray-sdk-python https://pypi.org/project/aws-xray-sdk/"
-SRC_URI="
- https://github.com/aws/aws-xray-sdk-python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
-IUSE=""
-
-RDEPEND=">=dev-python/botocore-1.12.122[${PYTHON_USEDEP}]
- dev-python/future[${PYTHON_USEDEP}]
- dev-python/jsonpickle[${PYTHON_USEDEP}]
- dev-python/wrapt[${PYTHON_USEDEP}]"
-BDEPEND="
- test? (
- dev-python/bottle[${PYTHON_USEDEP}]
- dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
- dev-python/webtest[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpackaged deps
- rm -r tests/ext/{aiobotocore,django,pg8000,psycopg2,pymysql,pynamodb} || die
-
- # TODO
- sed -i -e 's:test_external:_&:' tests/test_patcher.py || die
- # require Internet access
- rm tests/ext/aiohttp/test_client.py || die
- rm -r tests/ext/{httplib,requests} || die
-
- distutils-r1_src_prepare
-}
-
-src_test() {
- local -x DJANGO_SETTINGS_MODULE=tests.ext.django.app.settings
- local -x AWS_SECRET_ACCESS_KEY=fake_key
- local -x AWS_ACCESS_KEY_ID=fake_id
-
- distutils-r1_src_test
-}
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index 54914dd3eae4..470ef4c99679 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -1,2 +1,3 @@
DIST black-20.8b1.tar.gz 1092546 BLAKE2B 5a0a755222617d8d551b627c91670ecc32a9330cc1197900a9d21b071d0d99ddd32e09786becfc577407ab402f6da3d8683a59a9deaea1f6b4f07b9e1e4ecbed SHA512 53d6f6a6f47027e5bdfd3909471c993480034c8aa8ae395792565b8d79fb4e3a44299ea529652c0ccabf4309d645db9179bf54efc06fee20517f479e91cec838
DIST black-21.4b0.tar.gz 1140469 BLAKE2B f5fecde9083984e823a57acb4216ea46130255d73646209f12990c27f2d15eb7b2a31995a99f54d0fd5372aae9267bf015331d8599d38d91ca429e6c3a3c3b54 SHA512 a6e707361544abcc35bc2cbd4d92ad26b12a961890adf60b05330e9eb14368db10e92b17fa3535bf0f7e20e7976cfa3821dbf9305a37bc2426fb493f7ffdf843
+DIST black-21.4b1.tar.gz 1135304 BLAKE2B 9dcb90109a9cbddb53682b6385f5b7ae5cc650251eeb8866921bdf8f04264d5ebeb2eaf4ca04fa761d461c6f389e352cafc2b2dc521fe6566a9d41da48830e44 SHA512 1a7d3ada1c91084c6e84df9367abca6d64315ba25dcb3a65ad13bfc3db76a13a84b1668fb23563e9f2ce61df72bcbd776b9d641ce670023465768c7269027e0a
diff --git a/dev-python/black/black-21.4_beta1.ebuild b/dev-python/black/black-21.4_beta1.ebuild
new file mode 100644
index 000000000000..1e0c9619b8da
--- /dev/null
+++ b/dev-python/black/black-21.4_beta1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1 optfeature
+
+MY_PV="${PV//_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="The uncompromising Python code formatter"
+HOMEPAGE="https://black.readthedocs.io/en/stable/ https://github.com/psf/black"
+SRC_URI="https://github.com/psf/${PN}/archive/${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ >=dev-python/click-7.1.2[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ <dev-python/pathspec-1[${PYTHON_USEDEP}]
+ >=dev-python/toml-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ ' python3_7)
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/aiohttp-cors[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${MY_PV}
+
+python_test() {
+ cp "${S}"/src/black_primer/primer.json "${BUILD_DIR}"/lib/black_primer/primer.json || die
+ eunittest
+}
+
+pkg_postinst() {
+ optfeature "blackd - HTTP API for black" dev-python/aiohttp dev-python/aiohttp-cors
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f8436243f2a0..8ce1edc59bdb 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,3 +10,4 @@ DIST boto3-1.17.55.tar.gz 362821 BLAKE2B 82d4b8fccc858fe3eab1d225cac7b4b51e9a243
DIST boto3-1.17.56.tar.gz 363210 BLAKE2B cd3fd8fbeaf55ef7b3b4fb9ec345619f7b0fb084c452c1f256c839fd57b9b060468fbb29d104004e4dbe06445911fca5ca91bba7e95fbbb4fcd3856051290368 SHA512 936a358a06328c8b97bdaf86fe86e56230ec9e84f7d31e9840de646e8db090b2ede21615a6c394c2e7bf572df649601b00b71ade4bd19786c04e11a0381a9787
DIST boto3-1.17.57.tar.gz 363474 BLAKE2B 230f374f95d2dfe030e5e27f9f2441f3630e0596fe869dc57c0fcad6424ad50a20bb95b943d3a2ce5ef859b94169dbeed4682879d9d24544a24cf27b4f7508e2 SHA512 e0f670263f5eda352e40be28fec7f9926b9caaad18345f6eb8bf912d83b5c25d1345bf18d9bcdfd2186886a6fd0140f1a4f4887632fcd29390c7cb66271fd909
DIST boto3-1.17.58.tar.gz 364365 BLAKE2B ae2070ed5a7be752fd127bad99bb08c25f655e03b52650f4ce6ad9c6c4e030fa1c100e169474e824cd128aea1a067cc0b9a51a6113fb8a816f06e47f9ea7e2c2 SHA512 bbdf4bd1e1c833dbd19d06b4ea9aa0970ef2a585bac81c9267cf19ce7b9cdfb990bd06b67074b8f25d2bd422bee0e619af377a015eb0a3d94cf79c8ef52675b4
+DIST boto3-1.17.59.tar.gz 364596 BLAKE2B bd90e7a61cf5f4c63b7b43518a55880c0fdcadb62550ca1a4099deeb26f0f6681ead84b4f7967dd43a8745d4eef2ce16732a1bb548c64e4c76d2c93a7cc39e04 SHA512 510e53c10d5e34b76e7d81f79e6f4d546abd84308bda2eb25c03477cfb0242c2755b3b21d75d99092ebe7b37738e6b916a9e88a481c737efafaebf216f975196
diff --git a/dev-python/boto3/boto3-1.17.59.ebuild b/dev-python/boto3/boto3-1.17.59.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.59.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 69c9ce7a4254..bd967e256422 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,3 +10,4 @@ DIST botocore-1.20.55.tar.gz 7652816 BLAKE2B fa31d72dc769629165a1fa26b23f27affa8
DIST botocore-1.20.56.tar.gz 7654165 BLAKE2B 379dcdcb7f528124a925c5ec191448cd319ab687bea88adfef8e6bd2867d78c5a12e9829af93a8ddc6bd429b53225c73eb27ada2b469ce970ef5c6992d755bf7 SHA512 a414358bcef8a87523119b92b75cc152b3e5e3b7b27a04ad84e28b59367f91994870046ef3b2219ebfda4a0cb79e6a2b0b4f7f8cd2bf2133987358f1dd3bf4fd
DIST botocore-1.20.57.tar.gz 7654823 BLAKE2B 7a92bb0fa470ee6d73eb6289e1b332ef96cb9948c8caf32c56a666dffaf738b71b39bc4798b07206a7991c56d3872e974b8cafc764d89f598efc3979f2dc1b21 SHA512 909d019295055f0b70465aeeb64a883ebf34ec3097e486107a5379c05f2dacfb6a106c5c38c0322f41a7d875338b09de5234cb3c90b00deeedc9b4f756421701
DIST botocore-1.20.58.tar.gz 7649484 BLAKE2B eb945897b9c143a7d9149cd9a938de08c6e610da428b8d21cefaacb51606414f90107c6abc91c81bebf4f890bc52adc31ddf3cb942f765557214a91bdda55135 SHA512 9eaa93f9764b732baf7ec3fe9e456b1314f6b253cb19aac7ad8e0e5e3829d1ffda75682d79e20310e3918b2a83c46a451a6f2fb931eecac75be132d358352f76
+DIST botocore-1.20.59.tar.gz 7649640 BLAKE2B 7757d85d5ecfdc65d7da607824fa9abf56628395cdd1a4196fd0d1833fe97f8a75285083c1c61ee9dd159b778ee3b9fce07903b7e30097bc386cb6108515f39c SHA512 06850bfd59f9ac562569eb5a2a3e5cb7d4104053f0ab31fc315312122d5c861a68f811d422e9f1850c8449c9387ffc72feef9496a9216da359b2c0b8c713110f
diff --git a/dev-python/botocore/botocore-1.20.59.ebuild b/dev-python/botocore/botocore-1.20.59.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.59.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 6cba1a15706c..8bdbd4d7dc7e 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1 +1,2 @@
DIST cachetools-4.2.1.tar.gz 24753 BLAKE2B 90345deed94ea6d5ce9c4e3d609ae5a5a8e29f506e559c017fe24e5e8c73e056da4bd4d01e80ccc91686e03ff204e1918375b9701abd8ab571241d09c7556cbb SHA512 bf5a05fc513241f05e61547b5d45813308f20a58319d1c057f3269533a55b739203ba74bc2360d38383cd222a148dcf192f6e58614258bcac2855b633145733c
+DIST cachetools-4.2.2.tar.gz 23682 BLAKE2B 7c1163d216fed3a5258ecb1c6306468d0ace8c629275cfb4f3aa3c4e6d9e2560683ac5504b0ee3439901f1e53b7428e27a78c909f6629d3b006610ec8ef35e98 SHA512 b3aa68cecbd9f20e0ff482c497c5011f4d1bfe4ed106914433c6bcaa203fb29592e056807767efdcea0cf7dbd3a08f3edc9c0ea8b328a1442792f9be2049c860
diff --git a/dev-python/cachetools/cachetools-4.2.2.ebuild b/dev-python/cachetools/cachetools-4.2.2.ebuild
new file mode 100644
index 000000000000..7db6f3c761f4
--- /dev/null
+++ b/dev-python/cachetools/cachetools-4.2.2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="https://pypi.org/project/cachetools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index 489db1c7757a..72be9a4f5e54 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -2,3 +2,4 @@ DIST cfn-python-lint-0.47.2.tar.gz 6478541 BLAKE2B 1955c6aa43512d4249741db982a6e
DIST cfn-python-lint-0.48.1.tar.gz 6531054 BLAKE2B 76aab248bf8d043c274b6a6d17c9ecada3b92fb0688a32989095771206a2f37728216fe1eb5d247237457d88279b04870a5808f7a93c15f77cf53c6734a3e4aa SHA512 11373f9755d0955d57dfb48fb806565cc22d2f6deeba261dbf1446b95960bce915b4b2d0bb3e1884b59a7874ead18b0cc196bd599bcdcc935a4ab0f18b4276aa
DIST cfn-python-lint-0.48.2.tar.gz 6710036 BLAKE2B 00f607dacbf1c10f8b82cac1ad98fb1f12a56149284bcfa7491ca2cf1c03a315ce3857eb3b6e7a3862ff1fe39b499a17840bcaed66d67ccaf19ac0bb32de8dcc SHA512 15f4506e272d53fb118d17b98a55b05ed4b870d2c39a48198d69a99ac80db04f23e596f61297672a91a020e5fd22b442ad5085d80491101c2af428e8fbfc8c24
DIST cfn-python-lint-0.48.3.tar.gz 6758651 BLAKE2B a8aeaffb0791789b25c94c630532ced223432f9902cf60664e4b111d162b4379d6307eda5c8f8074f7d2917ff25f44657016894b2140c8ea1dbf3259b24dde38 SHA512 ab1555719edb9b3541bfe60ce2701cca9e2ab9f4627c1b46ab8f4920477531f56f14f393b3575525da81b6aefd087b6c3cac516bdd6eb1db0f31304d7c63e1cb
+DIST cfn-python-lint-0.49.0.tar.gz 6797106 BLAKE2B aa60c3e5eb246c45997af57f934d2710b56c4966babb61f56cc538c49606e3befd130f6a4298b124d38401927ae40127e699fba6a1f69ee177c07c9bf5d880e4 SHA512 4b656cda70de686aa3bb404908eac6ff66cabc0ebb064d5ccbe554a10551e8a5a7a308e3480826ec52b87549a8626f2a9cbbf51bd44613d94344db8dcd4443a7
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.49.0.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.49.0.ebuild
new file mode 100644
index 000000000000..9bb0327d960f
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.49.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.35.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index 8232ca755430..c8a14d5d3ebb 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1,3 +1,4 @@
DIST httpx-0.16.1.tar.gz 965347 BLAKE2B a6c5bcdda595ffcfb824194564ebd93760a9180e60665a9540fc6a2822b1be4273b940fee61cb4b49c2d97a5f4d71b1caf32deddec18d2fb636465b3868aece4 SHA512 d76b2c94c655c187ab150f20b16906034574d017a67c4a06c456d55071434cc0ba7752bdceda86aa6b1a1fe9109fa11594e4ea679cd7d2a77898fb40fa5153d3
DIST httpx-0.17.0.tar.gz 1651681 BLAKE2B 46eec46d5f2006667ab51e5e4d98c1a22783351d9e2fa50ccab2431bf6e52dd9b124d50b32f151fc171561c913d879cfec4f717ea22fd2a333c13190368ab505 SHA512 9471c404c02481a10d42e10e36a55cd55cdecd2cd98a8f3ca1f453a7f1ad7f1ce3b292b8fe583b1c95119f27c0b2eefc756b4e4ed353e3383c12009f3bde21cd
DIST httpx-0.17.1.tar.gz 1651788 BLAKE2B 445e61dba5a2648191f57352b664a33785af01bb9ca29c7f553d10111894d0b4011a6987bdea880dd3fc87a60ddee7813a2d51e12178277b60ac27ac6fa930ef SHA512 260040e266144f56b8d1cd085e0d97f2b570c685560fd2bc6baca633e8c9e88a666d0ba072048d63f826dd380df7116ce676dcfb48406e39a7480c44f73368c6
+DIST httpx-0.18.0.tar.gz 1663878 BLAKE2B 968ac2a3bd1d150d1adb7e7de5c9dd3aba2ec549feecefdec040d7be1ed54c96b439eff65a4a0d36ebbe77f71af610fc7a0e774fd8dd494a7e80df4e8d0d96c0 SHA512 9648729dbac37500fc828a7cae98a705fa811ae2df0d4abb4bd13a97e03f1ef73b062112c24e7c3edf60140ed5342498a85b46e8cb6b999521ee5d4869656e84
diff --git a/dev-python/httpx/httpx-0.18.0.ebuild b/dev-python/httpx/httpx-0.18.0.ebuild
new file mode 100644
index 000000000000..3483d9f153da
--- /dev/null
+++ b/dev-python/httpx/httpx-0.18.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
+HOMEPAGE="https://www.python-httpx.org/"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/sniffio[${PYTHON_USEDEP}]
+ =dev-python/httpcore-0.13*[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
+ <dev-python/rfc3986-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/brotlipy[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/hyper-h2[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/uvicorn[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # trio is not currently in the tree
+ sed -i '/^import trio/d' tests/concurrency.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local deselect=(
+ # Internet
+ tests/client/test_proxies.py::test_async_proxy_close
+ tests/client/test_proxies.py::test_sync_proxy_close
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 5a22dfb163eb..29de8b167970 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -2,3 +2,5 @@ DIST pikepdf-2.10.0.tar.gz 2376794 BLAKE2B c9f85ddec15a7eaef2ed3c43221196d957dc5
DIST pikepdf-2.11.0.tar.gz 2382340 BLAKE2B 60a09d1b7f463720af17be4b3ac70fd575f01f0e4f27b87723fddf18424d97fddc6f11de59bb1a061496f9d847babfcf3446d3bbd7445dea56106879a2ff31a3 SHA512 d55c10799667a142ed651ab36de01011abad0ae95c3dc267871147deb458e0930aba6fd5c3a20487641f2d8fa60d7b15f6ba40cbb2370bc13ef418ce3b300233
DIST pikepdf-2.11.1.tar.gz 2382829 BLAKE2B 97a3cd65c22de0e7e3ab3099a3f51993367ec7b7fe5353d0cad0f68e309df1a3c0aedf9e391cced16bd3c11e5353dfce464632c1ac890b2cd412b0e1f84e71b7 SHA512 26589155b4380cfd0a97a6eb3c130a1b71535f182f8cac0a19f0ea8b1ff749bb58dad4a5f881d27f404a6b20db9581d3915323ed9739704f8e52e51a1b5ecb16
DIST pikepdf-2.11.2.tar.gz 2297115 BLAKE2B c1ab1b99d13da7a52eda214d550597871f4d67553490f2c14096e6a620fa8bab6278a34b39e162de1bd0d71f781b79011468e5d045201dc936ec8eef07272657 SHA512 ff86e5c12e029978c0eb8e6bae7c5cd9a1b8e1f8eb07a6e623767ccb14ecc747493aa9eefc48be25464192e97eba5cd49c56983182f237532c4b4817b5732c28
+DIST pikepdf-2.11.3.tar.gz 2298121 BLAKE2B 981c3607302ef5406bff886706b0d192943b367b753e4acbdbb36ea97a6921a24443f0204bc99b982b79260ba32b619e4a5f07b8a5b834be54feb0a6efdb950c SHA512 f9413ebf5bbb0a17c2ffeccc08262e59d47aaba60e68a7b1c2c43276c33fbe8b8363203394c850e21f1cc4883100047b966f7a8fbca6b3d5950bfda6f6918064
+DIST pikepdf-2.11.4.tar.gz 2298520 BLAKE2B 4c657e50259cc126a4537f699c30723eb5d06303b2fabaa53c4ed2862236bcc253ab793d20905f7f2e298649a3ba8c5c8b66deeb4b859b66e18ab50cd512b843 SHA512 292fa0cfdd0a3d43bfc533dd339acc35b93958cdab476a7963274f0e98f2d8ad0c121d7605b53fe9e1a318cab59b24a46343ccf9f25e6de32e6e39d6dfc02ff1
diff --git a/dev-python/pikepdf/pikepdf-2.11.3.ebuild b/dev-python/pikepdf/pikepdf-2.11.3.ebuild
new file mode 100644
index 000000000000..c1b5454f13e9
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.11.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pikepdf/pikepdf-2.11.4.ebuild b/dev-python/pikepdf/pikepdf-2.11.4.ebuild
new file mode 100644
index 000000000000..c1b5454f13e9
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.11.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pytest-httpx/Manifest b/dev-python/pytest-httpx/Manifest
index 7c03bb20d133..322edbeec383 100644
--- a/dev-python/pytest-httpx/Manifest
+++ b/dev-python/pytest-httpx/Manifest
@@ -1,2 +1,3 @@
DIST pytest-httpx-0.10.1.tar.gz 21117 BLAKE2B 372ecc8a132f28bf7016ed466c4f6974f51c3c2ab9decd68fd8e3c7a810030db9f169f5ab28662cfed006297ea200d3a157ba220f2156b44be03fbf49edc5415 SHA512 f306e57408924b653d3ab4dd28f266b066f202b98440b31769940bdab0be98d5c48817e22d68e2dcdf82426e26334242591d0ae630aa71812f81dd7866b81e0f
DIST pytest-httpx-0.11.0.tar.gz 21178 BLAKE2B c58c303868fd1b1926a58db28eeda3c5d74cd38f68aad3543cb0296f4dcac59d9fb983287b432219f70bd2003c2a0e32d85ed343b1c279d576ef100b129c7f25 SHA512 eb798d31c710ab50d3176c569aba8ae2131a17f415fe87830fc71aa941d638bdbda4296032a07fce98d9a43a57f250cea380f8c409660eb1f13862094b6fcbb6
+DIST pytest-httpx-0.12.0.tar.gz 21319 BLAKE2B 59c3678937a7756f13971e3f1f8d312b227f56339b4234ac8e5544f4370622bcff401f76f68c2ee042fdc64deae6a7a9dd05ca8a54b60b14bfb74b2d2d724de4 SHA512 b5866ab0123755020fad679d27d4d113132b2a79da85c52a334904d19aea90ddc71088a6e0f27110498da2731be664c525f3cab256d447a37d9a507f9a508b43
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.12.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.12.0.ebuild
new file mode 100644
index 000000000000..8f595983e3fd
--- /dev/null
+++ b/dev-python/pytest-httpx/pytest-httpx-0.12.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/_}"
+DESCRIPTION="Send responses to HTTPX using pytest"
+HOMEPAGE="https://colin-b.github.io/pytest_httpx/"
+SRC_URI="https://github.com/Colin-b/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-python/httpx-0.18*[${PYTHON_USEDEP}]
+ =dev-python/pytest-6*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
diff --git a/dev-python/requests-mock/Manifest b/dev-python/requests-mock/Manifest
index 99ba56161083..ee0bf9cf47b9 100644
--- a/dev-python/requests-mock/Manifest
+++ b/dev-python/requests-mock/Manifest
@@ -1 +1,3 @@
DIST requests-mock-1.8.0.tar.gz 59794 BLAKE2B 2bdcd180ea793a02cf34eda356d90c0e338cec6f3fb718564026d28ea06ac975073f291be9cb685f012c803fdeca1fe29139537529e292b91a3356f0b781f97a SHA512 252bce965e0fca03cd5ce09912c726045f9c632e90bfee13b06c9f3e2c6b70eab7f39cf8e7efb3b7d2cf2b5d79cc5c5ba6e2379b3d48ce33bf78861ada911918
+DIST requests-mock-1.9.0.tar.gz 66243 BLAKE2B 33602e85376d7812b8f4b35bf657c905ddc7db4d85e3de1f70d38871c90c42fc886e99bce3dc45079b6c8ac8e3e6b0b5291d4acda31d26045396d4ed505c3faf SHA512 1382077357a13dbec65cc4226b628ff6b55348422d9f0e9e2311c85affbc40437d22c2f95fa305303a86decc765a6228366f27eea76e254da194789b1d8fb610
+DIST requests-mock-1.9.1.tar.gz 66782 BLAKE2B 5457d359bf93f3f1e335481e44c1e9a391ee88c648b3c385806274e2c39ae3a69268d792dfc2e4609f2ccebd47dc2a3bb488f11b1b479c010a4194fe5cdc3be6 SHA512 96a8a787daa7d42796baf2807543ca18c27f595e101fd230cd392eb2417b3b0925b977a6fc49d70e21362e5b647cac201cb9f3968301ce2702772ddd85cf7094
diff --git a/dev-python/requests-mock/requests-mock-1.9.0.ebuild b/dev-python/requests-mock/requests-mock-1.9.0.ebuild
new file mode 100644
index 000000000000..c0a9d6bc1642
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.9.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="https://github.com/jamielennox/requests-mock"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Disable reno which only works inside a git repository
+ sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+ # Remove the release notes section which requires reno
+ rm doc/source/release-notes.rst || die
+ sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+ # Disable a test which requires purl (not in the tree)
+ sed -i -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+ tests/test_adapter.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/requests-mock/requests-mock-1.9.1.ebuild b/dev-python/requests-mock/requests-mock-1.9.1.ebuild
new file mode 100644
index 000000000000..c0a9d6bc1642
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.9.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="https://github.com/jamielennox/requests-mock"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Disable reno which only works inside a git repository
+ sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+ # Remove the release notes section which requires reno
+ rm doc/source/release-notes.rst || die
+ sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+ # Disable a test which requires purl (not in the tree)
+ sed -i -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+ tests/test_adapter.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/responses/Manifest b/dev-python/responses/Manifest
index 058065606b6a..4aa78041b85e 100644
--- a/dev-python/responses/Manifest
+++ b/dev-python/responses/Manifest
@@ -1,2 +1,3 @@
DIST responses-0.13.1.tar.gz 30290 BLAKE2B 823ef6e9e6d760d4516770255c96a8ccd326be8a1b864eb176497b613f9ec97bc0916e8f80e32275859f91129cd1b7a90ee9c8620721ea6ee03440bc4e7500cd SHA512 b6628c5890a9034c003fe1e7ea656474fa553c56fe29e025645f28d524368d4f4e65268ccb384fd514f620fc5f5d008937697161868efefb0760d56a9174e1d6
DIST responses-0.13.2.tar.gz 30302 BLAKE2B d90059e12518841af0276777a77c28aa96ffa5fcdea9ff1ce2d7a5b0c7e225b1b6253bc38bce534b8447de43365e7315b3ee667e6d845206a9a7a3c3c0d27227 SHA512 cac338cd2c2b3c0193de779ef47830471ed17f2df7d94c30acea0117dfe508550a1dec471fbf249320637125322a5a40273be568b330989a272870afaea0bd04
+DIST responses-0.13.3.tar.gz 30327 BLAKE2B 299d4ce81b5ff1703cf72fdb42d39126b5bc8cd95837467cbcfb35c1688e75ec8c95edaafca4100c1b6cb51fe8e9f4c22db1a3e2f46714539bff7a861b16451c SHA512 c523755e44e158c3b37d084b9105ba36f515eb883928d51f296ffd911d72206461cd864355d991ff6f6f05abb447a3eb558ac9958379b0a8a49d29b8afcadef4
diff --git a/dev-python/responses/responses-0.13.3.ebuild b/dev-python/responses/responses-0.13.3.ebuild
new file mode 100644
index 000000000000..1de8b1375885
--- /dev/null
+++ b/dev-python/responses/responses-0.13.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Utility for mocking out the Python Requests library"
+HOMEPAGE="https://github.com/getsentry/responses"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS=""
+
+RDEPEND="
+ >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.10[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 50528f668efb..c6cbe51a6a82 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-toolkit-3.3.3.tar.gz 5903525 BLAKE2B a21c5d89c808615ff2f3f718e732ce5d5591a9d8a997950ae1066655cc3e4382065f75e7a86f8e37bdd0e146283f9bd941ff20479cb1af635f393e0e7f8fc196 SHA512 41964dc26dfbb983b1c2e4cbb0e9d8eb2a035369a94ef872f7703080b5ca0280a9364916a1e1256cd358b263bc72198e767462cc9065b54556fc481d1b85a836
DIST translate-toolkit-3.3.4.tar.gz 6060105 BLAKE2B 01f8e718a4a60d0f4d439be14b30b2e3f040045630d6f6254ad291a2558d59718521bfb79761d20933f7bb1abd2229ccce67fd71ccd54f6e43dffa7e7ecedd8c SHA512 6bfc4387aa600610fa2a9e7e58368924768ddcc8eb2a697ef02c59682e1e1304b7096f48a1e6e38cd47c68c644dff01d35ffc988d378dbf4833b41d1c5432c05
+DIST translate-toolkit-3.3.5.tar.gz 6061630 BLAKE2B 18843344acf8eecf6d1859e1c6d6148046ba3adc56d00413234e1fb755e7cc14f3ffc22d9cc46b249d01ea5d4b73b4edf4d8c6a22ddb882c62183e1f4ce8dd23 SHA512 9e5837e487b7ec703078d6babfeb2fc720c4c4fd2896e5a23839a856d76f6372d5d3c72f5f1e20ee9d130cb2224c5d8a5b9e33e0154484edd0e0ed756ae8429f
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.3.5.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.3.5.ebuild
new file mode 100644
index 000000000000..e1b12646c6f3
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.3.5.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="https://github.com/translate/translate"
+SRC_URI="https://github.com/translate/translate/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND+="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-bootstrap-theme
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/translate-toolkit-3.3.0-no-install-docs.patch
+)
+
+python_test() {
+ local deselect=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ --deselect 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ --deselect 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ )
+
+ if ! use ini; then
+ deselect+=(
+ --ignore translate/convert/test_ini2po.py
+ --ignore translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ deselect+=(
+ --ignore translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest "${deselect[@]}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}